<?PHP
session_start();
/*
<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
*/

//Configs
	require 'config/site.config.php';
	require 'config/alert.config.php';
//Mods
	
//Includes
	require 'inc/twitter.custom.inc.php';
	
	
if ($TWITTER_enable != 0)
{
$TWITTER_id = twitter_id($TWITTER_username);
}
else
{
}
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
<head>

<link rel="icon" type="image/x-ico" href="images/favicon.ico" />
<link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico" />

	<title>
	
		<?PHP
			Echo $SITE_title;
		?> :: About
		
	</title>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="scripts/original_style.css" />
<link rel="stylesheet" type="text/css" href="scripts/login.css" />

<script type="text/javascript" src="scripts/jquery.js"></script>
<script type="text/javascript" src="scripts/thickbox.js"></script>

<link rel="stylesheet" href="scripts/thickbox.css" type="text/css" media="screen" />


</head>	
<body>

<div id="container">
		<div id="header">
			
    <h1><?PHP
			Echo $SITE_title;
		?></h1>
			<h2><?PHP Echo "$SITE_tagline"; ?></h2>
		</div>
		<div id="menu">
			<ul>
				
     			
     <!-- <li><a href="../index.php" title="Home">Home</a></li>-->
      <li><a href="index.php" title="Status Check">Status Check</a></li>
      <li><a href="about.php" title="About"  class="current">About</a></li>
<!--
      <li><a href="http://www.viagrarocks.me.uk" title="viagrarocks.me.uk" class="ext">viagrarocks Home</a></li>
<li><a href="http://www.aboutcher.co.uk" title="aboutcher.co.uk" class="ext">aboutcher Home</a></li>
-->
			</ul>
<div align="right">
<small>

<em><?php 
echo date('l jS ');  
echo date('F Y');
?></em>
</small>&nbsp;</div>
				
				<div align="right"><a href="javascript:location.reload(true)" title="Refresh"><img src="images/refresh.png" alt="Reload" border="0" /></a>&nbsp;
				<?PHP
				if ($TWITTER_enable != 0)
{?>
<a href="http://twitter.com/statuses/user_timeline/<?php echo $TWITTER_id; ?>.rss" title="Twitter RSS"><img src="images/rss.png" alt="RSS" border="0" /></a>&nbsp;
<?PHP
}
?>
				
				<a href="login.php?height=290&amp;width=475" title="Login" class="thickbox"><img src="images/login.png" alt="Login" border="0" /></a>&nbsp;
				
				<?PHP 
				
				if(isset($_SESSION['SESSID']))
				{
				echo "<a href=\"exec/logout.php\" title=\"Logout\"><img src=\"images/logout.png\" alt=\"Logout\" border=\"0\" /></a>&nbsp;";
				}
				Else
				{
				echo "<img src=\"images/logout_no.png\" alt=\"Not Logged in\" border=\"0\" />&nbsp;";
				}
				
				?>
				</div>
				
		</div>
		<div id="content">

			<div id="sidebar">

			<br/>
			
			<h4>Menu:</h4>
			
			<ul>
				
				<?PHP
					Echo "<li><a href=\"http://twitter.com/".$TWITTER_username."\">Status Twitter</a></li>";
				?>
				
			</ul>
			
			<h3></h3>
		
			
			
		</div>
		
		<div id="page">
		
						
					<h2>About</h2>
					<p>
					
						<?PHP echo $SITE_about; ?>
						
					</p>
					<br/>					
					<h2>Contact</h2>
					<p>
					
						<?PHP echo "<strong>Email: </strong>".$SITE_email."<br/><strong>Twitter: </strong>@".$TWITTER_username; ?>
						<br/><br/>
					
					</p>
					<br/>
					<h3></h3>
					
					
					<h2>Stuff used to make this</h2>
					<p><strong>Software used:</strong></p>
					<blockquote><a href="http://www.ubuntu.com/products/whatisubuntu/serveredition">Ubuntu Server</a><br/><a href="http://httpd.apache.org">Apache2</a><br/><a href="http://www.php.net">PHP</a><br/><a href="http://code.kliu.org/misc/notepad2/">Notepad 2 Modified</a></blockquote>
					
					<p><strong>Services used in development:</strong></p>
					<blockquote><a href="http://www.dyndns.com">DynDNS</a><br/><a href="http://www.dns-o-matic.com">DNS-O-Matic</a><br/><a href="http://www.ovh.co.uk">OVH</a></blockquote>
					
					<p><strong>External Sites Used:</strong></p>
					<blockquote><a href="http://www.twitter.com">Twitter</a><br/><a href="http://maps.google.com">Google Maps</a><br/><a href="http://www.infosniper.net">InfoSniper.Net</a><br/><a href="http://www.web2messenger.com">Web2Messenger</a></blockquote>
					
					<p><strong>APIs &amp; Wrappers Used:</strong></p>
					<blockquote><a href="http://code.google.com/p/php-twitter/">PHP-Twitter</a><br/><a href="http://www.aboutcher.co.uk/?page=cw2m">W2M API Library</a></blockquote>
					
					<h3></h3>
					
					
					
		
		</div></div>
		<div id="footer">
			<p>&nbsp;
	
				<?PHP
					Echo $SITE_copyright;
				?>
			</p>	
		</div>
	</div>
</body>
</html>
