<?PHP

/*
<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
*/

session_start();

//check the user is authorised for this section.
require '../inc/session.inc.php';
$SID = sessionmake();

if(!isset($_SESSION['SESSID']))
{
header('Location: ../index.php');
DIE ("PLEASE LOGIN");
}
if ($SID !== $_SESSION['SESSID'])
{
header('Location: ../index.php');
DIE ("PLEASE LOGIN");
}


//Configs
	require '../config/site.config.php';
	require '../config/alert.config.php';
//Mods
	
//Includes
	require '../inc/twitter.custom.inc.php';
	
if ($TWITTER_enable != 0)
{
$TWITTER_id = twitter_id($TWITTER_username);
}
else
{
}


//check the action being requested.
if(!isset($_GET['action']))
{
$page="home";
}
else
{
$actions = array("home","details","servers","site","alert","map");

if (in_array($_GET['action'], $actions))
{
$page=$_GET['action'];
}
else
{	
header('Location: main.php?action=home');
}

}
$pagelk = "z".$page.".php";
$pagenm = ucfirst($page);
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
<head>

<link rel="icon" type="image/x-ico" href="../images/favicon.ico" />
<link rel="shortcut icon" type="image/x-icon" href="../images/favicon.ico" />
	
	<title>
	
		<?PHP
			Echo $SITE_title;
		?> :: Admin Control (<?PHP Echo $pagenm; ?>)
		
	</title>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="../scripts/original_style.css" />
<link rel="stylesheet" type="text/css" href="../scripts/login.css" />

<script type="text/javascript" src="../scripts/jquery.js"></script>
<script type="text/javascript" src="../scripts/thickbox.js"></script>

<link rel="stylesheet" href="../scripts/thickbox.css" type="text/css" media="screen" />

</head>	
<body onload="initialize()" onunload="GUnload()">
<div id="container">
		<div id="header">
			
    <h1><?PHP
			Echo $SITE_title;
		?></h1>
			<h2><?PHP Echo "$SITE_tagline"; ?></h2>
		</div>
		<div id="menu">
			<ul>
				
     			
     <!-- <li><a href="../index.php" title="Home">Home</a></li>-->
      <li><a href="../index.php" title="Status Check">Status Check</a></li>
      <li><a href="../about.php" title="About">About</a></li>
      <li><a href="main.php" title="Admin"  class="current">Admin Control (<?PHP Echo $pagenm; ?>)</a></li>
<!--
      <li><a href="http://www.viagrarocks.me.uk" title="viagrarocks.me.uk" class="ext">viagrarocks Home</a></li>
<li><a href="http://www.aboutcher.co.uk" title="aboutcher.co.uk" class="ext">aboutcher Home</a></li>
-->
			</ul>
<div align="right">
<small>

<em><?php 
echo date('l jS ');  
echo date('F Y');
?></em>
</small>&nbsp;</div> 
				
				<div align="right"><a href="javascript:location.reload(true)" title="Refresh"><img src="../images/refresh.png" alt="Reload" border="0" /></a>&nbsp;
				<?PHP
				if ($TWITTER_enable != 0)
{?>
<a href="http://twitter.com/statuses/user_timeline/<?php echo $TWITTER_id; ?>.rss" title="Twitter RSS"><img src="../images/rss.png" alt="RSS" border="0" /></a>&nbsp;
<?PHP
}
?>
				<img src="../images/login_no.png" alt="Login" border="0" />&nbsp;
				
				<?PHP 
				
				if(isset($_SESSION['SESSID']))
				{
				echo "<a href=\"logout.php\" title=\"Logout\"><img src=\"../images/logout.png\" alt=\"Logout\" border=\"0\" /></a>&nbsp;";
				}
				Else
				{
				echo "<img src=\"../images/logout_no.png\" alt=\"Not Logged in\" border=\"0\" />&nbsp;";
				}
				
				?>
				</div>
				
		</div>
		<div id="content">

			<div id="sidebar">

			<br/>
			
			<h4>Admin Menu:</h4>
			
			<ul>
				
				<li><a href="main.php?action=home">Home</a></li>
				<li><a href="main.php?action=details">User Configuration</a></li>
				<li><a href="main.php?action=site">Site Info</a></li>
				<li><a href="main.php?action=servers">Server List</a></li>
				<li><a href="main.php?action=alert">Alert Configuration</a></li>
				<li><a href="main.php?action=map">Mapping Configuration</a></li>
			</ul>
			
			<br/>
			<br/>
			<br/>
			<br/>
			
			<h4>Actions Menu:</h4>
			<ul>
			<li><a href="http://infosniper.net/lb.php?lang=1">Purchase InfoSniper Key</a></li>
			<li><a href="logout.php">Logout</a></li>
			</ul>

		
			
			
		</div>
		
		<div id="page">

					
					<?PHP require $pagelk;?>
									
					<br/>					
					
					<br/>
					<h3></h3>

					
					
					
		
		</div></div>
		<div id="footer">
			<p>&nbsp;
	
				<?PHP
					Echo $SITE_copyright;
				?>
			</p>	
		</div>
	</div>
</body>
</html>
