<?php
/*
Title: TWuD
Module: Server Ping (addin)
Version: 20090917.01.01 (YearMonthDate.Version.Build)
Author: Adam Boutcher (adam.boutcher@gmail.com)
Date: 17/09/2009
License: CC (BY-NC)
Description: Checks to see if server:port is accessable.
*/

// Function to check response time
function pingDomain($domain, $port){
    $starttime = microtime(true);
    $file      = @fsockopen ($domain, $port, $errno, $errstr, 10);
    $stoptime  = microtime(true);
    $status    = 0;

    if (!$file) $status = -1;  // Site is down
    else {
        fclose($file);
        $status = ($stoptime - $starttime) * 1000;
        $status = floor($status);
    }
    return $status;
}
?>
